import request from '@/utils/request'
// 查询内部位移数据列表不分页
export function listMgNopage(query) {
  return request({
    url: '/project/mg/listNoPage',
    method: 'get',
    params: query
  })
}
// 查询锚杆应力监测数据列表
export function listMg(query) {
  return request({
    url: '/project/mg/list',
    method: 'get',
    params: query
  })
}

// 查询锚杆应力监测数据详细
export function getMg(id) {
  return request({
    url: '/project/mg/' + id,
    method: 'get'
  })
}

// 新增锚杆应力监测数据
export function addMg(data) {
  return request({
    url: '/project/mg',
    method: 'post',
    data: data
  })
}

// 修改锚杆应力监测数据
export function updateMg(data) {
  return request({
    url: '/project/mg',
    method: 'put',
    data: data
  })
}

// 删除锚杆应力监测数据
export function delMg(id) {
  return request({
    url: '/project/mg/' + id,
    method: 'delete'
  })
}
